#include<bits/stdc++.h>
using namespace std;
int n,x[100005],br,br1;

struct jela
{
  int y;
  int p;
};
jela hrana[1000005];
bool cmp(jela a, jela b)
{
        return a.y < b.y;
}



struct scenariji
{
  int z;
  int p1;
};

scenariji skripta[1000005];
bool cmp1(scenariji a, scenariji b)
{
        return a.p1 < b.p1;
}

int main ()
{

    br=0;
    cin >> n;
    for(int i=1; i<=n; i++)
    {
        cin >> x[i];
    }
    sort(x+1,x+n+1);
    for(int i=1; i<=n; i++)
    {
        cin >> hrana[i].y;
        hrana[i].p=i;
    }
    sort(hrana+1, hrana+n+1, cmp);

    for(int i=1; i<=n; i++)
    {
        cin >> skripta[i].z;
        skripta[i].p1=i;
    }
    sort(skripta+1, skripta+n+1, cmp1);

    for(int i=1; i<=n; i++)
    {
        for(int j=1; j<=n; j++)
        {
            for(int k=1; k<=n; k++)
            {
                if(x[i]==hrana[j].y and hrana[j].p==skripta[k].z)
                {
                    br++;
                }
            }
            if(hrana[j+1].y!=x[i])
            {
                goto ovde;
            }
        }
        ovde:
        i=i;
    }
    cout << br << endl;
}